Bug 504972 - fprintd doesn't react on placing finger at reader (supported hardware)
fprintd doesn't react on placing finger at reader (supported hardware)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fprintd (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 05:22 EDT by Fjodor Abubov
Modified: 2014-10-13 14:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:51:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fjodor Abubov 2009-06-10 05:22:27 EDT
Description of problem:
Installed deafult F11 and some other bits. did authconfig --enablefingerprint  
so far 'out of the box' worked; gnome-about-me enable fingerprint login being there.  After selecting which finger to scan, it asked 'Place your right index finger on AuthenTec AES2501'. After that nothing happened. 
 lsusb gave: 
Bus 003 Device 002: ID 08ff:2580 AuthenTec, Inc. AES2501 Fingerprint Sensor

 
Version-Release number of selected component (if applicable):
F11

How reproducible:
everytime

Steps to Reproduce:
1.authconfig --enablefingerprint
2.Enable fingerprint login in gnome-about-me
3.place finger on the reader
  
Actual results: no response from fprintd


Expected results: save fprints 


Additional info:
 laptop model is HP nx6125
Comment 1 Bastien Nocera 2009-06-10 05:35:47 EDT
Run fprintd on its own, and gather debug information please.

killall fprintd
/usr/libexec/fprintd -t

And reproduce the problem.
Comment 2 Fjodor Abubov 2009-06-10 05:52:47 EDT
Launching FprintObject
** Message: D-Bus service launched with name: net.reactivated.Fprint
** Message: entering main loop


...thats it, also the reader quite warm itself. Thing worked a while ago in WinXp.
Comment 3 Bastien Nocera 2009-06-17 10:59:16 EDT
(In reply to comment #2)
> Launching FprintObject
> ** Message: D-Bus service launched with name: net.reactivated.Fprint
> ** Message: entering main loop
> 
> 
> ...thats it, also the reader quite warm itself. Thing worked a while ago in
> WinXp.  

You need to actually do something afterwards, try fprintd-enroll for example.
Comment 4 Fjodor Abubov 2009-06-18 04:43:42 EDT
ok here is log
 Launching FprintObject
** Message: D-Bus service launched with name: net.reactivated.Fprint
** Message: entering main loop
** Message: user 'fedose' claiming the device: 0
** Message: now monitoring fd 7
** Message: device 0 claim status 0
** Message: start enrollment device 0 finger 7
** Message: no longer monitoring fd 7
** Message: released device 0
 actually i've managed once to save fingerprint somehow. It was hard to authenticate so i've deleted it. On the whole I think it's pretty hard as I don't know whether just to 'place' the finger or scroll it down the reader.
Comment 5 Bastien Nocera 2009-06-18 05:00:28 EDT
If it's only a strip, you need to swipe it, not place it.

(The only reason why it says "place" is because it would require a newer libfprint to tell us whether the reader is "swipe" or "place", the code is already upstream though).
Comment 6 Bug Zapper 2010-04-27 10:43:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:51:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.